#! /bin/bash
#SBATCH --job-name=ICONtoy
#SBATCH --partition=mpi-develop
#SBATCH --output=ICONtoy-%j.out
#SBATCH --error=ICONtoy-%j.err
#SBATCH --nodes=2
#SBATCH --tasks-per-node=16
#SBATCH --time=00:20:00

source /sw/share/Modules/init/bash
module load openmpi/1.6.5-static-intel13
ulimit -l unlimited

cd /scratch/mpi/mpioes/m300083/YAC/examples

echo start run at `date`
mpirun -n 16 ./ICON_toy_unstruct.x : -n 8 ./ICON_toy_reg2d.x : -n 8 ./ICON_toy_unstruct_2.x
echo end run at `date`

