package de.mpg.mpimet.yacgui.xml;

public class Grid {
	
	private int id;
	private String aliasName;
	
	public Grid(int id, String aliasName) {
		this.id = id;
		this.aliasName = aliasName;
	}

	public int getId() {
		return id;
	}

	public void setId(int gridId) {
		this.id = gridId;
	}

	public String getAliasName() {
		return aliasName;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((aliasName == null) ? 0 : aliasName.hashCode());
		result = prime * result + id;
		return result;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (!(obj instanceof Grid)) {
			return false;
		}
		Grid other = (Grid) obj;
		if (aliasName == null) {
			if (other.aliasName != null) {
				return false;
			}
		} else if (!aliasName.equals(other.aliasName)) {
			return false;
		}
		if (id != other.id) {
			return false;
		}
		return true;
	}


}
