#include <stdlib.h>
#include <stdio.h>
#include "search.h"

int main (void) {

   unsigned const axis_length = 511;
   unsigned const data_length = 1000000;

   double axis_data[axis_length];
   double search_data[data_length];

   int position[data_length], found[data_length];

   unsigned i;

   puts ("----- performance test -----");

   // generate the axis data
   for (i = 0; i < axis_length; ++i) {

      axis_data[i] = (double)i;
   }

   for (i = 0; i < data_length; ++i) {

      search_data[i] = ((double)axis_length/(double)data_length)*(double)i;
   }

   for (i = 0; i < 10; ++i) {

      yac_bisection_search(search_data, data_length, axis_data, axis_length, 
                           position, found, 0);
   }

   return (EXIT_SUCCESS);
}
