package de.mpg.mpimet.yacgui.ui;

import java.awt.BorderLayout;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.SwingConstants;

/**
 * Shows the file name of coupling file
 */
public class HintPanel extends JPanel {

	private static final long serialVersionUID = 8475751505006519027L;
	
	private static final String HINT_EMPTY = "New Coupling";
	
	private JLabel hint;

	public HintPanel() {
		createLayout();
	}
	
	private void createLayout() {
		setLayout(new BorderLayout());
		setBorder(BorderFactory.createEtchedBorder());
		
		hint = new JLabel(HINT_EMPTY);
		hint.setHorizontalAlignment(SwingConstants.CENTER);
		add(hint, BorderLayout.CENTER);
	}
	
	public void setHint(String title) {
		hint.setText(title);
	}
	
	public void reset() {
		hint.setText(HINT_EMPTY);
	}
}
