package de.mpg.mpimet.yacgui.ui.dialog.tabpanel;

import java.text.ParseException;

import javax.swing.JFormattedTextField.AbstractFormatter;
import javax.swing.text.DocumentFilter;

/**
 * this class provide a document filter in which the specify regular expression
 * @author Junpei Xu
 *
 */
public class TimestepFormatter extends AbstractFormatter{
	
	
	private static final long serialVersionUID = -3758327977666927872L;

	public Object stringToValue(String text) throws ParseException {			           
        return text;
    }

    public String valueToString(Object value) throws ParseException {
        return (String) value;
    }
	
    /**
	 * regular expression for the filter does not allow negative integer
	 */
	public DocumentFilter getDocumentFilter(){
		return new  TimelagInputfilter("[-]+|[-]{1}([0-9]{1}[0-9]*)");
	}

}